org.apache.cassandra.metrics

## Class ClientMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.ClientMetrics

    public class ClientMetrics
    extends java.lang.Object

### Field Summary

Fields
`static ClientMetrics` `instance`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCounter(java.lang.String name, java.util.concurrent.Callable<java.lang.Integer> provider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final ClientMetrics instance

### Method Detail

#### addCounter

    public void addCounter(java.lang.String name,
                           java.util.concurrent.Callable<java.lang.Integer> provider)